[PR35437] gcc crashes on compilation

Bug #251744 reported by robsta on 2008-07-25
6
Affects Status Importance Assigned to Milestone
gcc
Fix Released
Medium
gcc-4.2 (Ubuntu)
Low
Unassigned
Hardy
Undecided
Unassigned
gcc-4.3 (Ubuntu)
Low
Unassigned
Hardy
Undecided
Unassigned

Bug Description

Binary package hint: gcc-4.2

gcc crashes on compilation by eclipse gaymede

ProblemType: Crash
Architecture: i386
Date: Fri Jul 25 11:21:20 2008
Dependencies:
 libgcc1 1:4.2.3-2ubuntu7
 gcc-4.2-base 4.2.3-2ubuntu7
 libc6 2.7-10ubuntu3
DistroRelease: Ubuntu 8.04
ExecutablePath: /usr/lib/gcc/i486-linux-gnu/4.2.3/cc1
Package: cpp-4.2 4.2.3-2ubuntu7
PackageArchitecture: i386
SourcePackage: gcc-4.2
Uname: Linux 2.6.24-19-generic i686

robsta (robsta) wrote :
robsta (robsta) wrote :

Obviously the code is wrong since GceNode would implicitely allocate a recursive data structure, but still it was nice if gcc would not crash.

-Zeus- (matthew-momjian) on 2008-07-25
Changed in gcc-4.2:
status: New → Invalid
status: Invalid → New
guidol (monk-e) wrote :

Confirmed while compiling preprocessedSource.txt.

Changed in gcc-4.2:
status: New → Confirmed
Matthias Klose (doko) wrote :

seen as well with 4.2.4, 4.3.2, trunk 20080904

Changed in gcc-4.2:
importance: Undecided → Low
status: Confirmed → Triaged
Changed in gcc:
status: Unknown → Confirmed
Changed in gcc:
status: Confirmed → In Progress
description: updated
Matthias Klose (doko) on 2008-10-08
Changed in gcc-4.3:
importance: Undecided → Low
status: New → Triaged
Matthias Klose (doko) on 2008-10-08
Changed in gcc-4.2:
status: Triaged → In Progress
Matthias Klose (doko) on 2008-10-08
Changed in gcc-4.3:
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-4.2 - 4.2.4-3ubuntu3

---------------
gcc-4.2 (4.2.4-3ubuntu3) intrepid; urgency=low

  * Update to SVN 20081008 from the ubuntu/gcc-4_2-branch.
    - PR middle-end/37731 (wrong code), PR middle-end/36575 (wrong code),
      PR rtl-optimization/37544 (wrong code), PR target/37101 (wrong code),
      PR middle-end/35432 (ice-on-valid).
    - PR libgcj/8995 (race conditions in interpreter), PR libgcj/31890
      out-of-sync javaprims.h regenerated).
    - Fix naming of bridge targets in gjavah (wrong header generation).
  * Fix PR c/35437 (ice-on-invalid), taken from the gcc-4.3 branch.
    LP: #251744.
  * gij/gcj: Don't remove alternatives on upgrade. Addresses: #479950.
  * Fix PR libgomp/28432. LP: #235070.
  * debian/rules.conf: Filter empty '[]' and '!none' in control file (Andrea
    Gasparini). LP: #268132.

 -- Matthias Klose <email address hidden> Wed, 08 Oct 2008 13:48:28 +0200

Changed in gcc-4.2:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-4.3 - 4.3.2-1ubuntu10

---------------
gcc-4.3 (4.3.2-1ubuntu10) intrepid; urgency=low

  * Update to SVN 20081009 from the gcc-4_3-branch.
    - Fix PR c/35437 (ice-on-invalid). LP: #251744.
    - Fix PR middle-end/37731 (wrong-code).
    - Fix PR target/37603 (target, hppa).

 -- Matthias Klose <email address hidden> Thu, 09 Oct 2008 12:47:18 +0200

Changed in gcc-4.3:
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

Accepted into -proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in gcc-4.3:
status: New → Invalid
Changed in gcc-4.2:
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Copied to hardy-updates.

Changed in gcc-4.2:
status: Fix Committed → Fix Released
Changed in gcc:
status: In Progress → Fix Released
Changed in gcc:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.